%define	name	libiec61883
%define	version	1.2.0
%define	release	%mkrel 8

%define	major	0
%define	libname	%mklibname iec61883_ %{major}
%define	libnamedev %{libname}-devel

Name:	%name
Version: %version
Release: %release
License: LGPL
Group:	System/Libraries
Source: http://linux1394.org/dl/%{name}-%{version}.tar.gz
Patch0:	libiec61883-1.2.0-automake-1.3.patch
URL:	http://linux1394.org
BuildRequires: libraw1394-devel >= 1.2.0
Summary: Streaming library for IEEE1394

%description 
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libname}
Group:	  System/Libraries
Summary:  Streaming library for IEEE1394
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libnamedev}
Summary:  Development libs for libiec61883
Group:    Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}

%description -n %{libnamedev}
Development libraries needed to build applications against libiec61883

%package -n %{name}-utils
Summary:  Utilities for use with libiec61883
Group:    Communications/Mobile
Requires: %{libname} = %{version}

%description -n	%{name}-utils
Utilities that make use of iec61883

%prep
%setup -q
%patch0 -p1
perl -pi -e's,noinst,bin,' examples/Makefile.am

%build
autoreconf -i
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libiec61883.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libiec61883.pc
%doc examples/*.c

%files utils
%{_bindir}/*
%{_mandir}/*/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-8.mga3
+ Revision: 357516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.2.0-7.mga3
+ Revision: 340595
- fix for automake 1.13

* Tue Oct 09 2012 fwang <fwang> 1.2.0-6.mga3
+ Revision: 303867
- cleanup spec

* Wed Oct 03 2012 malo <malo> 1.2.0-5.mga3
+ Revision: 302605
- fix unversioned Provides
- spec clean-up
- update RPM group

* Thu Jan 13 2011 ahmad <ahmad> 1.2.0-4.mga1
+ Revision: 7818
- drop old/unneeded scriptlets
- imported package libiec61883

